Subject: bug#56535: 28.1; `no' and `no-ding' values for isearch-wrap-pause option (since Emacs 28.1) not working as documented

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Jul 2022 21:12:41 +0300

> From: Arun V <[email-masked]>
> Date: Wed, 13 Jul 2022 23:29:04 +0530
> Cc: [email-masked]
> 
> When I set the isearch-wrap-pause option to `no' or `no-ding', it
> still displays "Failing I-search backward" on entering a non-matching
> character. I still have to press C-r again to wrap around. This is the
> same behaviour as having set the value of isearch-wrap-pause to t.

I think this is the expected behavior.  This feature only controls
wraparound of repeated Isearch.